#!c:/python26/python
# -*- coding: utf-8 -*-
import sqlite3 as sqlite

import sys

try: 
    import cgitb
    cgitb.enable()
except ImportError:
    sys.stderr = sys.stdout

def cgiprint(inline=''):
    sys.stdout.write(inline)
    sys.stdout.write('\r\n')
    sys.stdout.flush()           

contentheader = 'Content-Type: text/html; charset=utf-8'

if __name__ == '__main__':
    cgiprint(contentheader)   # content header
    cgiprint()                       # finish headers with blank line

print sys.version

connection = sqlite.connect('patients.db')
cursor = connection.cursor()

create_examinations = '''CREATE TABLE examinations(
	id INTEGER PRIMARY KEY,
	patient_id INT not null,
	examdate TEXT,
	name TEXT,
	contents TEXT,
	physician TEXT,
        comments TEXT,
        tags TEXT,
	deleted INT,
	foreign key(patient_id) references patients(id)
		on delete restrict on update cascade
	)
'''

create_config = '''CREATE TABLE config(
    id INTEGER PRIMARY KEY,
    user TEXT,
    param TEXT
    )
'''

create_patients = '''CREATE TABLE patients(
    id INTEGER PRIMARY KEY,
    surname VARCHAR(64),
    name VARCHAR(64),
    otchestvo VARCHAR(64),
    gender VARCHAR(2),
    birthdate VARCHAR(16),
    adres VARCHAR(256),
    telefon VARCHAR(64),
    diagnosis VARCHAR(256),
    tags VARCHAR(256),
    comments TEXT,
    deleted INT
    )
'''

cursor.execute('drop table if exists patients')
cursor.execute('drop table if exists examinations')
cursor.execute(create_patients)
cursor.execute(create_examinations)
cursor.close()

connection.commit()

connection.close()

con=sqlite.connect('config.db')
cur=con.cursor()

create_forms = '''CREATE TABLE forms(
    id INTEGER PRIMARY KEY,
    name VARCHAR(64),
    contents TEXT,
    html TEXT,
    comments TEXT
    )
'''

cur.execute(create_forms)
cur.execute(create_config)
con.commit()
con.close()
